#
# spec file for package perl-Data-Validate-Email
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# 
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-Data-Validate-Email
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Data::Validate::Email
Version:        0.04
Release:        6.2
License:        Artistic License
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/IO/
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:  perl = %{perl_version}

%description
 %{cpan_name} module for perl


%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}
rm -rf %{buildroot}%{perl_vendorarch}/auto/Data/Validate/Email/.packlist
%check

%install
%perl_make_install
%perl_process_packlist
##%perl_gen_filelist
%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Data
%dir %{perl_vendorlib}/Data/Validate
%dir %{perl_vendorlib}/auto/Data
%dir %{perl_vendorlib}/auto/Data/Validate
%dir %{perl_vendorlib}/auto/Data/Validate/Email
%{perl_vendorlib}/Data/Validate/Email.pm
%{perl_vendorlib}/auto/Data/Validate/Email/autosplit.ix
%{perl_vendorlib}/auto/Data/Validate/Email/is_domain.al
%{perl_vendorlib}/auto/Data/Validate/Email/is_email.al
%{perl_vendorlib}/auto/Data/Validate/Email/is_email_rfc822.al
%{perl_vendorlib}/auto/Data/Validate/Email/is_username.al
%{perl_vendorlib}/auto/Data/Validate/Email/new.al
%dir %{perl_vendorarch}/auto/Data
%dir %{perl_vendorarch}/auto/Data/Validate
%dir %{perl_vendorarch}/auto/Data/Validate/Email
%{perl_vendorarch}/auto/Data/Validate/Email/.packlist
/var/adm/perl-modules/perl-Data-Validate-Email
%{_mandir}/man3/Data::Validate::Email.3pm*

%changelog
* Mon Apr 12 2010 Carsten Schoene <cs@linux-administrator.com> - 0.04
- initial build
